| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DSaveSettingsWidget Class Reference
Inheritance diagram for Digikam::DSaveSettingsWidget:

## Public Types
enum | OutputFormat { OUTPUT_PNG = 0 , OUTPUT_TIFF , OUTPUT_JPEG , OUTPUT_PPM }

## Public Slots
void | slotPopulateImageFormat (bool sixteenBits)

## Signals
void | signalConflictButtonChanged (int)
void | signalSaveFormatChanged ()

## Public Member Functions
| DSaveSettingsWidget (QWidget *const parent)
FileSaveConflictBox::ConflictRule | conflictRule () const
QString | extension () const
OutputFormat | fileFormat () const
void | readSettings (KConfigGroup &group)
void | resetToDefault ()
void | setConflictRule (FileSaveConflictBox::ConflictRule r)
void | setCustomSettingsWidget (QWidget *const custom)
void | setFileFormat (OutputFormat f)
QString | typeMime () const
void | writeSettings (KConfigGroup &group)

## Static Public Member Functions
static QString | extensionForFormat (OutputFormat format)